Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util.io
Class OutputStreamAdapter

    java.lang.Object
      org.neuroph.util.io.OutputStreamAdapter

All Implemented Interfaces:
  OutputAdapter

Direct Known Subclasses:
  FileOutputAdapter, URLOutputAdapter

    public class OutputStreamAdapter

extends Object
implements OutputAdapter

Implementation of OutputAdapter interface for writing neural network outputs to output stream.

Author:
  Zoran Sevarac
See Also:
  `OutputAdapter`

Field Summary
`protected BufferedWriter` | `bufferedWriter`

Constructor Summary
`OutputStreamAdapter(BufferedWriter bufferedWriter)` Creates a new OutputStreamAdapter for specified BufferedWriter.
`OutputStreamAdapter(OutputStream outputStream)` Creates a new OutputStreamAdapter for specified output stream.

Method Summary
`void` | `close()` Closes output stream.
`void` | `writeOutput(double[] output)` Writes specified output to output stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bufferedWriter

    protected BufferedWriter bufferedWriter

Constructor Detail

### OutputStreamAdapter

    public OutputStreamAdapter(OutputStream outputStream)

  Creates a new OutputStreamAdapter for specified output stream.

### OutputStreamAdapter

    public OutputStreamAdapter(BufferedWriter bufferedWriter)

  Creates a new OutputStreamAdapter for specified BufferedWriter.

Method Detail

### writeOutput

    public void writeOutput(double[] output)

  Writes specified output to output stream

  Specified by:
    `writeOutput` in interface `OutputAdapter`
  Parameters:
    `output` - output vector to write

### close

    public void close()

  Closes output stream.

  Specified by:
    `close` in interface `OutputAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.